#include <iostream>
#include <cstdio>
#include <cstring>
#include <cassert>

using namespace std;

const int maxn = 300;
const int shift = 100;

char field[maxn][maxn];
int xL, xR, yL, yR;

void set(int x, int y, char ch)
{
    x += shift; y += shift;
    field[y][x] = ch;
    xL = min(xL, x); xR = max(xR, x);
    yL = min(yL, y); yR = max(yR, y);
}

int main()
{
    freopen("input.txt", "r", stdin); freopen("output.txt", "w", stdout);
    
    int n;
    int i, j, sc;
    
    xL = yL = maxn;
    xR = yR = -maxn;
    memset(field, '.', sizeof(field));
    
    cin >> n;
    assert(1 <= n && n <= 100);
    for (sc = 0; sc < n; sc++) {
        int x, y, d;
        cin >> x >> y >> d; 
        assert(1 <= x && x <= 50);
        assert(1 <= y && y <= 50);
        assert(1 <= d && d <= 50);
        
        for (i = -d; i <= d; i++) {
            if (i < 0) 
                set(x+i, y+d+1+i, '\\'); 
            else 
                set(x+i, y+d+1-i, '/');
            
            if (i < -d/2)
                set(x+i, y-d-i, '/');
            else if (i <= 0)
                set(x+i, y+i, '\\');
            else if (i <= d/2)
                set(x+i, y-i, '/');
            else
                set(x+i, y-d+i, '\\');
        }
        if (d % 2 == 0) {
            set(x-d/2, y-d/2, '^');
            set(x+d/2, y-d/2, '^');
        }
        set(x, y, 'V');
        set(x, y+d+1 , 'V');
    }
    
    for (int i = yL; i <= yR; i++) {
        for (int j = xL; j <= xR; j++) {
            cout << field[i][j];
        }
        cout << endl;
    }           
    
    fclose(stdin); fclose(stdout);
    return 0;
}

